Debian Bug report logs - #653501
[libfreenect-dev] upgrade to the newer version from git

version graph

Package: libfreenect-dev; Maintainer for libfreenect-dev is Nicolas Bourdaud <nicolas.bourdaud@gmail.com>; Source for libfreenect-dev is src:libfreenect.

Reported by: Carlos C Soto <csoto@sia-solutions.com>

Date: Wed, 28 Dec 2011 23:24:02 UTC

Severity: wishlist

Found in version libfreenect/1:0.0.1+20101211+2-2

Fixed in version libfreenect/1:0.1.2+dfsg-1

Done: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Arne Bernin <arne@alamut.de>:
Bug#653501; Package libfreenect-dev. (Wed, 28 Dec 2011 23:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos C Soto <csoto@sia-solutions.com>:
New Bug report received and forwarded. Copy sent to Arne Bernin <arne@alamut.de>. (Wed, 28 Dec 2011 23:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Carlos C Soto <csoto@sia-solutions.com>
To: submit@bugs.debian.org
Subject: [libfreenect-dev] upgrade to the newer version from git
Date: Wed, 28 Dec 2011 17:16:14 -0600
Package: libfreenect-dev
Version: 1:0.0.1+20101211+2-2
Severity: wishlist


The library has been changed since 2010-12-11, almost it sayit in the wiki[1]
2011-01-06: master and unstable branches were synced [2]
2011-02-15: support for multiple resolutions was added [3]

Also, in the git for the debian branch you can see a changelog with the last 
snapshot on 2011-11-07 [4]

[1] http://openkinect.org/wiki/Getting_Started#Getting_the_source_files
[2] http://groups.google.com/group/openkinect/browse_thread/thread/55e3f82c38f196e2
[3] http://groups.google.com/group/openkinect/browse_frm/thread/813c998eaa866b2e
[4] https://github.com/OpenKinect/libfreenect/blob/debian/debian/changelog

Thanks in advance !

--- System information. ---
Architecture: amd64
Kernel: Linux 3.1.0-1-amd64

Debian Release: wheezy/sid
990 testing security.debian.org
990 testing ftp.debian.org
990 testing debian-multimedia.org
990 squeeze-backports backports.debian.org
500 testing-snapshots live.debian.net
500 testing-proposed-updates ftp.debian.org
500 stable dl.google.com
200 unstable ftp.debian.org

--- Package information. ---
Depends (Version) | Installed
=============================================-+-=========================
libusb-1.0-0-dev | 2:1.0.9~rc3-2
libfreenect0.0 (= 1:0.0.1+20101211+2-2) | 1:0.0.1+20101211+2-2


Package's Recommends field is empty.

Package's Suggests field is empty.







Information forwarded to debian-bugs-dist@lists.debian.org, Arne Bernin <arne@alamut.de>:
Bug#653501; Package libfreenect-dev. (Wed, 18 Jan 2012 15:51:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Arne Bernin <arne@alamut.de>. (Wed, 18 Jan 2012 15:51:12 GMT) Full text and rfc822 format available.

Message #10 received at 653501@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Cc: arne@alamut.de, mark.renouf@gmail.com, 653501@bugs.debian.org
Subject: Re: libfreenect: patch and help proposed
Date: Wed, 18 Jan 2012 10:48:10 -0500
I think we should keep reflecting the progress at the relevant bugreport

On Wed, 18 Jan 2012, Yaroslav Halchenko wrote:

> that is great -- thank you Nocolas!
> I will try/test  the beastie... meanwhile a quick catch is SOVERSION --
> I thought remembering about having non-backward-compatible API change
> since the snapshot we have in Debian (damn me didn't generate symbols
> file) -- so should be verified and we might need to change
> SOVERSION/NAME, and thus libfreenect0.X package name

> also my plan would be first to wait for fresh -3 of old version to get
> into wheezy (9 more days).  Meanwhile if you like we could upload 0.1.1
> into experimental... or just wait, your call?

> remaining things todo if you still have some time to work on it
> - figure out what is up with kfreebsd builds failures
>   https://buildd.debian.org/status/package.php?p=libfreenect
> - provide binary packages for other wrappers (e.g. java, ruby, ...)

> what do you think?

> On Wed, 18 Jan 2012, Nicolas Bourdaud wrote:

> > If you are interested, you can fetch the changes from the following git
> > repository (I have touched only debian and dfsg branches):
> > git://cnbisrv02.epfl.ch:443/libfreenect.git
-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Information forwarded to debian-bugs-dist@lists.debian.org, Arne Bernin <arne@alamut.de>:
Bug#653501; Package libfreenect-dev. (Wed, 18 Jan 2012 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Arne Bernin <arne@alamut.de>. (Wed, 18 Jan 2012 17:03:03 GMT) Full text and rfc822 format available.

Message #15 received at 653501@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Cc: arne@alamut.de, mark.renouf@gmail.com, 653501@bugs.debian.org
Subject: Re: libfreenect: patch and help proposed
Date: Wed, 18 Jan 2012 12:01:24 -0500
On Wed, 18 Jan 2012, Nicolas Bourdaud wrote:
> > SOVERSION/NAME, and thus libfreenect0.X package name
> Yes, sure, we need to test carefully, and the package still need some
> work. But we can start from here to prepare the 0.1.1 version.
> Concerning the SONAME, you are right, we will need to increase it
> (attached symbols file of previous version and the output of
> dpkg-symbols with the new one (symbols.diff))

;) yeap -- got the same!

btw -- we might like to migrate from cdbs to dh, opinion?

> don't know... For the moment maybe not, but once we have a package in a
> good shape, we can test it there to check it build correctly on "less
> popular" architectures.

that was exactly the purpose of my intention for experimental + some
users might even  test it more

> > remaining things todo if you still have some time to work on it
> > - figure out what is up with kfreebsd builds failures
> >   https://buildd.debian.org/status/package.php?p=libfreenect
> > - provide binary packages for other wrappers (e.g. java, ruby, ...)
> I have seen the failure log on kfreebsd but I have not understood what
> has exactly failed. But I have a kfreebsd virtual machine at home so I
> will check in the coming week.

cool

> The other language wrappers might be useful but I have absolutely no
> experience with those in term of packaging  and I barely use them (the
> language). So concerning them, I don't know where to start.

I just throw this one your side -- I am the same story -- so let's leave
it "for future"

> I was also thinking about ARM architecture: if the demo and the python
> wrapper were not built, I think the rest of the package would work. So
> what about building them conditionally?

sorry -- what is the problem?  pkg seems to be build just fine on those
according to
https://buildd.debian.org/status/package.php?p=libfreenect

> But for the moment, I have a thesis to write... So I will have a look to
> the remaining when I will be bored with writing! :-)

good luck!  I will probably push in my debian branch added symbols file.
And will push debian-0.1.1  which would have your changes + that symbols
file introduced ... actually pushed now into my clone

http://github.com/yarikoptic/libfreenect

-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Information forwarded to debian-bugs-dist@lists.debian.org, Arne Bernin <arne@alamut.de>:
Bug#653501; Package libfreenect-dev. (Wed, 18 Jan 2012 18:10:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Extra info received and forwarded to list. Copy sent to Arne Bernin <arne@alamut.de>. (Wed, 18 Jan 2012 18:10:29 GMT) Full text and rfc822 format available.

Message #20 received at 653501@bugs.debian.org (full text, mbox):

From: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: arne@alamut.de, mark.renouf@gmail.com, 653501@bugs.debian.org
Subject: Re: libfreenect: patch and help proposed
Date: Wed, 18 Jan 2012 19:03:34 +0100
[Message part 1 (text/plain, inline)]
On 18/01/2012 18:01, Yaroslav Halchenko wrote:
> btw -- we might like to migrate from cdbs to dh, opinion?

Completely!!!!! I am glad you propose! I did not mention it because I
did not want to impose my way of packaging on work that I have not
started. But, honestly, according to me, working with cdbs is like
cooking with handcuffs! :-)

>> I was also thinking about ARM architecture: if the demo and the python
>> wrapper were not built, I think the rest of the package would work. So
>> what about building them conditionally?
> 
> sorry -- what is the problem?  pkg seems to be build just fine on those
> according to
> https://buildd.debian.org/status/package.php?p=libfreenect
My mistake... I misinterpreted the PTS page.

>> But for the moment, I have a thesis to write... So I will have a look to
>> the remaining when I will be bored with writing! :-)
> 
> good luck!
Thanks!

> I will probably push in my debian branch added symbols file.
> And will push debian-0.1.1  which would have your changes + that symbols
> file introduced ... actually pushed now into my clone
> 
> http://github.com/yarikoptic/libfreenect

Fine, I will track it...


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Arne Bernin <arne@alamut.de>:
Bug#653501; Package libfreenect-dev. (Fri, 27 Jan 2012 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Extra info received and forwarded to list. Copy sent to Arne Bernin <arne@alamut.de>. (Fri, 27 Jan 2012 16:27:03 GMT) Full text and rfc822 format available.

Message #25 received at 653501@bugs.debian.org (full text, mbox):

From: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: 653501@bugs.debian.org
Subject: libfreenect : pull request and issues raised
Date: Fri, 27 Jan 2012 17:22:21 +0100
[Message part 1 (text/plain, inline)]
Hi Yaroslav!

	The package starts to be in good shape, here are the last modifications:
 - updated to upstream 0.1.2 (+dfsg)
 - fixes shlibs warnings (not for python module)
 - add -doc package
 - fixes udev rules
 - written backport patches

	As such, the package is almost over. I have not touched the python
part: I am definitively not expert in python module so I prefer you to
check that the upstream change and conversion to dh sequencer has not
broken its build.
	I am verifying the backports build and it seems to work fine: so far it
build on squeeze, testing and sid


Ok now the issues, one small, one bigger:
	The udev rules were broken, so I needed to update them, especially, the
permission of "all" is updated by another udev rule that I have not yet
identified but anyways, I am not sure it was a good practice to grant
access to any user. Instead I set the group to plugdev, so that any user
of plugdev (normal desktop user are usually) can access and this is not
altered by any other rule. My question is now: do you think it make
sense? If so does the plugdev group make sense as well? If you don't
know, I can ask on mentor mailing list to have the opinion of the community.

	The second issue is more serious. In the current state of the package,
the library cannot be used out of the box on modern distribution like
debian wheezy or ubuntu oneiric: since version 3.0, the linux kernel
includes a module that provides a v4l2 driver for the kinect camera (it
is the module gspca_kinect). This means that when the kinect is
connected, that module claims the USB interface of the camera, thus
making it unavailable for libfreenect (it is not a problem of permission
like before: accessing through libfreenect return device busy). This
problem affects all version including the current version of the package
(the one that entered in testing today). Now I have 3 solutions but none
are good:

- solution 1: installing libfreenect0.1 package installs a modprobe rule
which blacklist the module gspca_kinect. But it makes the v4l2 interface
unavailable which is bad for those who want to use it.

- solution 2: write a patch to libfreenect which detaches the kernel
driver whenever the kinect is accessed through libfreenect and
reattaches it when it closes. This is not a hack but a normal operation
that libusb provides (actually usbfs provides the ioctl). The problem is
that libusb is badly designed and if we reopen the same device from
another libfreenect instance, the first instance will loose its
connection without notice (actually it is bad, what is expect is the
second instance fails). See
http://libusb.6.n5.nabble.com/libusb-detach-kernel-driver-also-has-the-side-effect-of-libusb-release-interface-td3267040.html
for explanation.

- solution 3: Status quo. We don't do anything, just inform users in the
README.Debian about the problem and that they need to detach the kernel
module by themselves using rmmod or by blacklisting the module. This
solution is not nice since people will install the package and it will
not work without root intervention. It also requires them to read the
doc folder to understand what is going on (not everybody read the manual
:-( ). This is nevertheless the solution that is currently adopted for
consistency with previous versions.


So I would like to know your opinion about this. We may also ask the
question on the Debian mailing lists.

Cheers,

Nicolas

	



[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Arne Bernin <arne@alamut.de>:
Bug#653501; Package libfreenect-dev. (Fri, 27 Jan 2012 16:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Arne Bernin <arne@alamut.de>. (Fri, 27 Jan 2012 16:33:07 GMT) Full text and rfc822 format available.

Message #30 received at 653501@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Cc: 653501@bugs.debian.org
Subject: Re: libfreenect : pull request and issues raised
Date: Fri, 27 Jan 2012 11:32:26 -0500
you are great help Nicolas -- thank you a lot.  I guess you do have a
beast (kinect) to enjoy, right? ;)

I think it would be only fair ATM if you place Arne into Uploaders
and yourself into the Maintainer, since you seems got a good grap on
things

we might alternatively start libfreenect-maint team on alioth which
would be listed as the maintainer while we all stay in uploaders... what
you think?

On Fri, 27 Jan 2012, Nicolas Bourdaud wrote:

> Hi Yaroslav!

> 	The package starts to be in good shape, here are the last modifications:
>  - updated to upstream 0.1.2 (+dfsg)
>  - fixes shlibs warnings (not for python module)
>  - add -doc package
>  - fixes udev rules
>  - written backport patches
-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Information forwarded to debian-bugs-dist@lists.debian.org, Arne Bernin <arne@alamut.de>:
Bug#653501; Package libfreenect-dev. (Fri, 27 Jan 2012 16:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Arne Bernin <arne@alamut.de>. (Fri, 27 Jan 2012 16:39:06 GMT) Full text and rfc822 format available.

Message #35 received at 653501@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Cc: 653501@bugs.debian.org
Subject: Re: libfreenect : pull request and issues raised
Date: Fri, 27 Jan 2012 11:35:39 -0500
or may be just bluntly under NeuroDebian Team, since you are pretty much
a part of it now ;-) )

On Fri, 27 Jan 2012, Yaroslav Halchenko wrote:
> we might alternatively start libfreenect-maint team on alioth which
> would be listed as the maintainer while we all stay in uploaders... what
> you think?

-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Information forwarded to debian-bugs-dist@lists.debian.org, Arne Bernin <arne@alamut.de>:
Bug#653501; Package libfreenect-dev. (Fri, 27 Jan 2012 16:45:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@dartmouth.edu>:
Extra info received and forwarded to list. Copy sent to Arne Bernin <arne@alamut.de>. (Fri, 27 Jan 2012 16:45:16 GMT) Full text and rfc822 format available.

Message #40 received at 653501@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@dartmouth.edu>
To: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Cc: 653501@bugs.debian.org
Subject: [noreply@release.debian.org: libfreenect 1:0.0.1+20101211+2-3 MIGRATED to testing]
Date: Fri, 27 Jan 2012 11:44:14 -0500
COOL -- we could proceed now ;-)

----- Forwarded message from Debian testing watch <noreply@release.debian.org> -----

Date: Fri, 27 Jan 2012 16:39:14 +0000
From: Debian testing watch <noreply@release.debian.org>
To: libfreenect@packages.debian.org
Subject: libfreenect 1:0.0.1+20101211+2-3 MIGRATED to testing
X-CRM114-Status: UNSURE (4.8295) This message is 'unsure'; please train it!

FYI: The status of the libfreenect source package
in Debian's testing distribution has changed.

  Previous version: (not in testing)
  Current version:  1:0.0.1+20101211+2-3

-- 
This email is automatically generated once a day.  As the installation of
new packages into testing happens multiple times a day you will receive
later changes on the next day.
See http://release.debian.org/testing-watch/ for more information.



----- End forwarded message -----

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#653501; Package libfreenect-dev. (Fri, 27 Jan 2012 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arne Bernin <arne@alamut.de>:
Extra info received and forwarded to list. (Fri, 27 Jan 2012 17:30:03 GMT) Full text and rfc822 format available.

Message #45 received at 653501@bugs.debian.org (full text, mbox):

From: Arne Bernin <arne@alamut.de>
To: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>, 653501@bugs.debian.org
Cc: Yaroslav Halchenko <debian@onerussian.com>
Subject: Re: Bug#653501: libfreenect : pull request and issues raised
Date: Fri, 27 Jan 2012 18:25:54 +0100
> - solution 1: installing libfreenect0.1 package installs a modprobe rule
> which blacklist the module gspca_kinect. But it makes the v4l2 interface
> unavailable which is bad for those who want to use it.

What about asking the user via debconf what he wants and make the
blacklisting as an option? Seems the easiest solution for me...

Cheers,

Arne






Information forwarded to debian-bugs-dist@lists.debian.org, Arne Bernin <arne@alamut.de>:
Bug#653501; Package libfreenect-dev. (Sat, 28 Jan 2012 00:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Extra info received and forwarded to list. Copy sent to Arne Bernin <arne@alamut.de>. (Sat, 28 Jan 2012 00:24:03 GMT) Full text and rfc822 format available.

Message #50 received at 653501@bugs.debian.org (full text, mbox):

From: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
To: Yaroslav Halchenko <debian@onerussian.com>, Arne Bernin <arne@alamut.de>
Cc: 653501@bugs.debian.org
Subject: Re: Bug#653501: libfreenect : pull request and issues raised
Date: Sat, 28 Jan 2012 01:21:22 +0100
[Message part 1 (text/plain, inline)]
Hello Arne!

On 27/01/2012 18:26, Yaroslav Halchenko wrote:
> Hi Arne -- thanks a lot for following up!
> So Nicolas -- ready to take the blame? ;)

If it is ok for all of you, I am fine with taking the blame! :-)


On 27/01/2012 17:32, Yaroslav Halchenko wrote:
> I guess you do have a
> beast (kinect) to enjoy, right? ;)

To answer you question Yaroslav, we bought a kinect few month ago in the
lab to test few things and it was on my office mate's desk since then. I
was curious about it and started to see how this beast could perform...


On 27/01/2012 17:35, Yaroslav Halchenko wrote:
> or may be just bluntly under NeuroDebian Team, since you are pretty much
> a part of it now ;-) )
> 
> On Fri, 27 Jan 2012, Yaroslav Halchenko wrote:
>> > we might alternatively start libfreenect-maint team on alioth which
>> > would be listed as the maintainer while we all stay in uploaders... what
>> > you think?

If everybody in the neurodebian project, we can stay in it, that what
you prefer. I am not sure, it is wise to open a project on its own for
one package but I might be wrong. What do you prefer.
(off topic question: there is a neurodebian project on Alioth, and
pkg-exppsy which has more people... which one should be used?)


On 27/01/2012 18:25, Arne Bernin wrote:
>> - solution 1: installing libfreenect0.1 package installs a modprobe rule
>> > which blacklist the module gspca_kinect. But it makes the v4l2 interface
>> > unavailable which is bad for those who want to use it.
> What about asking the user via debconf what he wants and make the
> blacklisting as an option? Seems the easiest solution for me...

Actually, I had forgot this possibility... It is actually better than
the statu quo but it still remains the question of the default action.
What surprises me the most is that issue of userspace driver and kernel
space driver seems not to have been raised earlier with other devices...

Cheers,

Nicolas

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Arne Bernin <arne@alamut.de>:
Bug#653501; Package libfreenect-dev. (Sat, 28 Jan 2012 03:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Arne Bernin <arne@alamut.de>. (Sat, 28 Jan 2012 03:06:07 GMT) Full text and rfc822 format available.

Message #55 received at 653501@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Cc: Arne Bernin <arne@alamut.de>, 653501@bugs.debian.org
Subject: Re: Bug#653501: libfreenect : pull request and issues raised
Date: Fri, 27 Jan 2012 21:48:45 -0500
On Sat, 28 Jan 2012, Nicolas Bourdaud wrote:
> >> > we might alternatively start libfreenect-maint team on alioth which
> >> > would be listed as the maintainer while we all stay in uploaders... what
> >> > you think?
> If everybody in the neurodebian project, we can stay in it, that what
> you prefer. I am not sure, it is wise to open a project on its own for
> one package but I might be wrong. What do you prefer.
ok -- let's make it
NeuroDebian Team <team@neuro.debian.net>
;-)

> (off topic question: there is a neurodebian project on Alioth, and
> pkg-exppsy which has more people... which one should be used?)

sorry for the confusion -- originally we founded pkg-exppsy project,
which grew up into NeuroDebian.  Since repositories were setup etc under
pkg-exppsy -- we just kept it alive while
http://alioth.debian.org/projects/pkg-exppsy
says that it was superseeded by NeuroDebian.  I just found that
http://pkg-exppsy.alioth.debian.org/ still redirects to dated
http://wiki.debian.org/DebianSciencePsychology ... both now fixed to
point to NeuroDebian

so, you are welcome to join both if you wish, but since we use alioth
only for hosting our repositories, then pkg-exppsy should be sufficient
(for libfreenect anyways we might just keep using github straight)

-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Information forwarded to debian-bugs-dist@lists.debian.org, Arne Bernin <arne@alamut.de>:
Bug#653501; Package libfreenect-dev. (Sat, 28 Jan 2012 03:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Arne Bernin <arne@alamut.de>. (Sat, 28 Jan 2012 03:33:03 GMT) Full text and rfc822 format available.

Message #60 received at 653501@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Cc: 653501@bugs.debian.org
Subject: Re: libfreenect : pull request and issues raised
Date: Fri, 27 Jan 2012 22:28:14 -0500
my .1 cents on you questions

On Fri, 27 Jan 2012, Nicolas Bourdaud wrote:
> 	The udev rules were broken, so I needed to update them, especially, the
> permission of "all" is updated by another udev rule that I have not yet
> identified but anyways, I am not sure it was a good practice to grant
> access to any user.

yeap -- doesn't sound ideal ;-)

> Instead I set the group to plugdev, so that any user
> of plugdev (normal desktop user are usually) can access and this is not
> altered by any other rule. My question is now: do you think it make
> sense? If so does the plugdev group make sense as well? If you don't
> know, I can ask on mentor mailing list to have the opinion of the community.

'plugdev' group makes total sense to me -- even more than
allocating a new group solely for kinect -- but sure thing do not
hesitate to seek further advice on -mentors or even -dev mailing list.

> ...
> (the one that entered in testing today). Now I have 3 solutions but none
> are good:
> - solution 1: installing libfreenect0.1 package installs a modprobe rule
> >...<
> - solution 2: write a patch to libfreenect which detaches the kernel
> >...<
> - solution 3: Status quo. We don't do anything, just inform users in the
> >...<

Arne's suggestion is right to the point imho.  Lazy guy like me would
have just reverted to 3. in one form or another ;-)  suggesting admin to
decide via debconf (with 'high' priority for the question) sounds the
best but would require a bit more work, especially since i18n will be on
your back quite soon -- get ready to incorporate their patches ;-)

Cheers,

-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Information forwarded to debian-bugs-dist@lists.debian.org, Arne Bernin <arne@alamut.de>:
Bug#653501; Package libfreenect-dev. (Sat, 28 Jan 2012 04:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Arne Bernin <arne@alamut.de>. (Sat, 28 Jan 2012 04:18:03 GMT) Full text and rfc822 format available.

Message #65 received at 653501@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Cc: 653501@bugs.debian.org
Subject: Re: Bug#653501: libfreenect : pull request and issues raised
Date: Fri, 27 Jan 2012 23:15:49 -0500
just 1 minor addition toward better python-freenect
https://github.com/yarikoptic/libfreenect/tree/debian-0.1.2

ideally we could also update pre-generated freenect.c and patch on older
systems to not re-cython it... but as far as noone complaints -- I am
just ok with how it is now

so -- make up your mind about outstanding high level problems and then
we could upload

-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Information forwarded to debian-bugs-dist@lists.debian.org, Arne Bernin <arne@alamut.de>:
Bug#653501; Package libfreenect-dev. (Sat, 28 Jan 2012 17:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Extra info received and forwarded to list. Copy sent to Arne Bernin <arne@alamut.de>. (Sat, 28 Jan 2012 17:33:03 GMT) Full text and rfc822 format available.

Message #70 received at 653501@bugs.debian.org (full text, mbox):

From: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
To: Yaroslav Halchenko <debian@onerussian.com>, 653501@bugs.debian.org
Subject: Re: Bug#653501: libfreenect : pull request and issues raised
Date: Sat, 28 Jan 2012 18:30:10 +0100
[Message part 1 (text/plain, inline)]
On 28/01/2012 05:15, Yaroslav Halchenko wrote:
> just 1 minor addition toward better python-freenect
> https://github.com/yarikoptic/libfreenect/tree/debian-0.1.2
> 
> ideally we could also update pre-generated freenect.c and patch on older
> systems to not re-cython it... but as far as noone complaints -- I am
> just ok with how it is now
> 
> so -- make up your mind about outstanding high level problems and then
> we could upload
> 

Pulled, I am going to take care of the debconf script soon (in the
coming days)... unless somebody else take care of it before.

Cheers

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 01 Feb 2012 07:09:05 GMT) Full text and rfc822 format available.

Reply sent to Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
You have taken responsibility. (Thu, 02 Feb 2012 16:18:23 GMT) Full text and rfc822 format available.

Notification sent to Carlos C Soto <csoto@sia-solutions.com>:
Bug acknowledged by developer. (Thu, 02 Feb 2012 16:18:23 GMT) Full text and rfc822 format available.

Message #77 received at 653501-close@bugs.debian.org (full text, mbox):

From: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
To: 653501-close@bugs.debian.org
Subject: Bug#653501: fixed in libfreenect 1:0.1.2+dfsg-1
Date: Thu, 02 Feb 2012 16:17:15 +0000
Source: libfreenect
Source-Version: 1:0.1.2+dfsg-1

We believe that the bug you reported is fixed in the latest version of
libfreenect, which is due to be installed in the Debian FTP archive:

freenect_0.1.2+dfsg-1_amd64.deb
  to main/libf/libfreenect/freenect_0.1.2+dfsg-1_amd64.deb
libfreenect-bin_0.1.2+dfsg-1_amd64.deb
  to main/libf/libfreenect/libfreenect-bin_0.1.2+dfsg-1_amd64.deb
libfreenect-demos_0.1.2+dfsg-1_amd64.deb
  to main/libf/libfreenect/libfreenect-demos_0.1.2+dfsg-1_amd64.deb
libfreenect-dev_0.1.2+dfsg-1_amd64.deb
  to main/libf/libfreenect/libfreenect-dev_0.1.2+dfsg-1_amd64.deb
libfreenect-doc_0.1.2+dfsg-1_all.deb
  to main/libf/libfreenect/libfreenect-doc_0.1.2+dfsg-1_all.deb
libfreenect0.1_0.1.2+dfsg-1_amd64.deb
  to main/libf/libfreenect/libfreenect0.1_0.1.2+dfsg-1_amd64.deb
libfreenect_0.1.2+dfsg-1.debian.tar.gz
  to main/libf/libfreenect/libfreenect_0.1.2+dfsg-1.debian.tar.gz
libfreenect_0.1.2+dfsg-1.dsc
  to main/libf/libfreenect/libfreenect_0.1.2+dfsg-1.dsc
libfreenect_0.1.2+dfsg.orig.tar.gz
  to main/libf/libfreenect/libfreenect_0.1.2+dfsg.orig.tar.gz
python-freenect_0.1.2+dfsg-1_amd64.deb
  to main/libf/libfreenect/python-freenect_0.1.2+dfsg-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 653501@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nicolas Bourdaud <nicolas.bourdaud@gmail.com> (supplier of updated libfreenect package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 31 Jan 2012 18:04:09 +0100
Source: libfreenect
Binary: libfreenect0.1 libfreenect-dev libfreenect-bin libfreenect-demos libfreenect-doc python-freenect freenect
Architecture: source amd64 all
Version: 1:0.1.2+dfsg-1
Distribution: experimental
Urgency: low
Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Changed-By: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Description: 
 freenect   - library for accessing Kinect USB camera -- meta package
 libfreenect-bin - library for accessing Kinect USB camera -- utilities and samples
 libfreenect-demos - library for accessing Kinect USB camera -- dummy package
 libfreenect-dev - library for accessing Kinect USB camera -- development files
 libfreenect-doc - library for accessing Kinect USB camera -- documentation
 libfreenect0.1 - library for accessing Kinect USB camera
 python-freenect - library for accessing Kinect USB camera -- Python bindings
Closes: 653501
Changes: 
 libfreenect (1:0.1.2+dfsg-1) experimental; urgency=low
 .
   [ Nicolas Bourdaud ]
   * New upstream release (Closes: #653501)
   * Use libfreenect.0.0.udev file instead of custom install and postinst
     script to install udev rules.
   * Switch to source package format "3.0 (quilt)". Thus source code
     modifications have been converted into quilt patches:
       - New patch dont-install-into-include-subfolder.patch
       - New patch dont-postfix-to-install-libdir.patch
       - New patch modify-fakenect-install.patch
   * Add remove-libusb-include-from-exported-header.patch to drop the
     dependency of libfreenect-dev on libusb-1.0-dev.
   * Add correct-libusb-search-and-include.patch to adjust libusb include
     statements and fix cmake test of libusb.
   * Switch from cdbs to dh
   * Update SONAME from libfreenect0.0 to libfreenect0.1.
   * New patch: add-missing-libs.patch
   * Add -doc package.
   * Set Nicolas as maintainer and move Arne as uploader.
   * Rename libfreenect-demos into libfreenect-bin and add utilities to it.
   * Stop shipping static libraries
   * Update Vcs-* fields in debian/control
 .
   [ Yaroslav Halchenko ]
   * python-freenect: Added module frame_convert.py within examples
Checksums-Sha1: 
 15d09e8a2658c91f55b5f4ec895bb9017430bab7 1884 libfreenect_0.1.2+dfsg-1.dsc
 4484c952de39e7ebd7584f39a462b70c37a1f97b 318843 libfreenect_0.1.2+dfsg.orig.tar.gz
 5ae6d61952c139ad91518d6c87fcd1d4ae4a34c0 32531 libfreenect_0.1.2+dfsg-1.debian.tar.gz
 8bd6373a22d4e72e812301094ab80db07ed57522 36384 libfreenect0.1_0.1.2+dfsg-1_amd64.deb
 d8f91327e037f25ff177321b5d5761cc181e78a6 16106 libfreenect-dev_0.1.2+dfsg-1_amd64.deb
 82b49f53c956022ab6a7b65424741776dd88610c 47276 libfreenect-bin_0.1.2+dfsg-1_amd64.deb
 d16749d4b73de76af23602f5445be30302135731 6266 libfreenect-demos_0.1.2+dfsg-1_amd64.deb
 6ef261117919ef9dc7580bc8e740fa34550399bf 89648 libfreenect-doc_0.1.2+dfsg-1_all.deb
 669a8b47a3921c17eabdf0d740933f1a9731e048 42082 python-freenect_0.1.2+dfsg-1_amd64.deb
 13b7ece40d746ba440bb8de1cef08daac4ae4f0b 6230 freenect_0.1.2+dfsg-1_amd64.deb
Checksums-Sha256: 
 7ae604ab744d604ca766d8f9d3510bcaa058c736cd6ac696283309a659e147d1 1884 libfreenect_0.1.2+dfsg-1.dsc
 2954a2b8f73040e6ccba926b716a4fa809a29d08160c65229404a87c131b6c08 318843 libfreenect_0.1.2+dfsg.orig.tar.gz
 84bded96187ead82471a1a9ee34385017fdc7e8718c6e37c5f9a9911bacdc607 32531 libfreenect_0.1.2+dfsg-1.debian.tar.gz
 170c379715f0445ea4e9fc7037d22e5e5a1fa675fc30baeeb011e555e76fdc43 36384 libfreenect0.1_0.1.2+dfsg-1_amd64.deb
 99df1e77a8b64d4066761eb367afba379ca6e49c380782ec23f09197a59a7dd0 16106 libfreenect-dev_0.1.2+dfsg-1_amd64.deb
 9964a802fe78778e71c754cd7b80ced382bfc49cbca145116f362fc7767a771e 47276 libfreenect-bin_0.1.2+dfsg-1_amd64.deb
 b00eabe4d625955ba44aa15430020cfe58727c85b3231a3cbeed8e37df59d6f6 6266 libfreenect-demos_0.1.2+dfsg-1_amd64.deb
 27fcdb6779ecf1d3a6b2131072633aac02a5d2d131a142e8b418bc43148244a0 89648 libfreenect-doc_0.1.2+dfsg-1_all.deb
 9a610d74179aa1556565797f6587a8b2af6fc5eae9013f2605b1da82e8b3bb11 42082 python-freenect_0.1.2+dfsg-1_amd64.deb
 7807fb5e6f9e76bcbd87b21f897f8f96b3dfd1666ac9bfca65654e566fbed6a5 6230 freenect_0.1.2+dfsg-1_amd64.deb
Files: 
 246372854935866efc9be59111367666 1884 libdevel extra libfreenect_0.1.2+dfsg-1.dsc
 eafa699e852b15edb34f28a494e61011 318843 libdevel extra libfreenect_0.1.2+dfsg.orig.tar.gz
 711949743898159495be55843841485b 32531 libdevel extra libfreenect_0.1.2+dfsg-1.debian.tar.gz
 f23e377c589a5eebbd2526beb9adbb7f 36384 libs extra libfreenect0.1_0.1.2+dfsg-1_amd64.deb
 a4535acdfe97b706eea8ca80a34406de 16106 libdevel extra libfreenect-dev_0.1.2+dfsg-1_amd64.deb
 3cb2d4069a439d926a75fa2bc10e18dd 47276 utils extra libfreenect-bin_0.1.2+dfsg-1_amd64.deb
 6b290767264df990892d98e18beebbb2 6266 utils extra libfreenect-demos_0.1.2+dfsg-1_amd64.deb
 bf0cc9cd72fa70812cd3e77054bbe148 89648 doc extra libfreenect-doc_0.1.2+dfsg-1_all.deb
 7956179399ebbee9ea545bddea97ad33 42082 python extra python-freenect_0.1.2+dfsg-1_amd64.deb
 7c68f3392afc3a96449a7837f0d3ea66 6230 libs extra freenect_0.1.2+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8ocI0ACgkQjRFFY3XAJMjU0QCeI8LkqfEDS42WU5l2YNFLdqYH
JHwAnjc08ZwVLstAyJv1aZsTDXIgxFPx
=wICJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Apr 2012 07:33:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:14:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.